## org.apache.mahout.common
Class HadoopUtil

    java.lang.Object
      org.apache.mahout.common.HadoopUtil

    public final class HadoopUtil

extends java.lang.Object

Method Summary
`static void` `deletePaths(java.lang.Iterable<org.apache.hadoop.fs.Path> paths, org.apache.hadoop.fs.FileSystem fs)`
`static void` `overwriteOutput(org.apache.hadoop.fs.Path output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### overwriteOutput

    public static void overwriteOutput(org.apache.hadoop.fs.Path output)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### deletePaths

    public static void deletePaths(java.lang.Iterable<org.apache.hadoop.fs.Path> paths,
                                   org.apache.hadoop.fs.FileSystem fs)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.